Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1799090 - python34: FTBFS in Fedora rawhide/f32
Summary: python34: FTBFS in Fedora rawhide/f32
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python34
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marcel Plch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1797052
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-02-06 15:36 UTC by Fedora Release Engineering
Modified: 2020-03-05 09:35 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-05 09:35:42 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2020-02-06 15:36 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2020-02-06 15:37 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2020-02-06 15:37 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-02-06 15:36:50 UTC
python34 failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41257498


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix python34 at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python34 will be orphaned. Before branching of Fedora 33,
python34 will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 15:36:58 UTC
Created attachment 1658265 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2020-02-06 15:37:00 UTC
Created attachment 1658266 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 15:37:02 UTC
Created attachment 1658267 [details]
state.log

Comment 4 Ben Cotton 2020-02-11 17:13:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 5 Miro Hrončok 2020-02-13 13:39:33 UTC
AArch64 is bz1797052, but other architectures hang: armv7hl, x86_64, s390x

Comment 6 Victor Stinner 2020-02-13 13:49:33 UTC
> https://koji.fedoraproject.org/koji/taskinfo?taskID=41257498
> AArch64 is bz1797052, but other architectures hang: armv7hl, x86_64, s390x

The armv7hl, x86_64, s390x build all stopped while testing test_faulthandler. Example:
---
[115/390] test_faulthandler
test_disable (test.test_faulthandler.FaultHandlerTests) ... ok
(...)
test_sigfpe (test.test_faulthandler.FaultHandlerTests) ... ok
test_sigill (test.test_faulthandler.FaultHandlerTests) ... ok
test_sigsegv (test.test_faulthandler.FaultHandlerTests) ... ok
---

Comment 7 Victor Stinner 2020-02-13 14:45:36 UTC
When Python 3.4.10 is compiled with -O0, test_faulthandler pass. But when it's built wit -O3, test_stack_overflow() hangs. It's this bug:

https://bugs.python.org/issue38965

And it has been fixed in master:

"bpo-38965: Fix faulthandler._stack_overflow() on GCC 10 (GH-17467)"
https://github.com/python/cpython/commit/8b787964e0a647caa0558b7c29ae501470d727d9

We should just backport this fix.

Comment 8 Victor Stinner 2020-02-13 15:10:09 UTC
> We should just backport this fix.

Done in: https://src.fedoraproject.org/rpms/python34/pull-request/49

Comment 9 Fedora Release Engineering 2020-02-16 04:30:43 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 10 Marcel Plch 2020-02-17 17:00:01 UTC
This has been resolved in rawhide by:
https://src.fedoraproject.org/rpms/python34/pull-request/49

Working on a backport to F32.


Note You need to log in before you can comment on or make changes to this bug.